Name:           sqlitebrowser
Version:        3.12.2
Release:        2%{?dist}
Summary:        Create, design, and edit SQLite database files

License:        GPLv3+ or MPLv2.0
URL:            https://github.com/%{name}/%{name}
Source0:        %{name}-%{version}.tar.gz

%global debug_package %{nil}


BuildRequires:  cmake
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-devel
BuildRequires:  sqlite-devel
BuildRequires:  desktop-file-utils


Requires:       hicolor-icon-theme
Requires:	qt5-linguist
Requires:	qt5-qtbase

%if 0%{?el7}
#BuildRequires:  antlr-C++
#BuildRequires:  qt-devel
#Requires:	qt
%endif



%description
SQLite Database Browser is a high quality, visual, open source tool to create,
design, and edit database files compatible with SQLite.


%prep
%setup -q -n %{name}-%{version}



%build
cmake . 
make %{?_smp_mflags}




%install
%make_install
desktop-file-validate %{buildroot}/usr/local/share/applications/%{name}.desktop



%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create /usr/local/share/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create /usr/local/share/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache /usr/local/share/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache /usr/local/share/icons/hicolor &>/dev/null || :



%files
%license LICENSE
%doc README.md
/usr/local/bin/%{name}
/usr/local/share/applications/%{name}.desktop
/usr/local/share/icons/hicolor/256x256/apps/%{name}.png
#/usr/local/share/appdata/%{name}.desktop.appdata.xml
/usr/local/share/metainfo/%{name}.desktop.appdata.xml


%changelog
* Mon Feb 09 2015 Sandro Mani <manisandro@gmail.com> - 3.5.1-1
- Update to 3.5.1

* Mon Feb 02 2015 Sandro Mani <manisandro@gmail.com> - 3.5.0-1
- Update to 3.5.0

* Sun Dec 28 2014 Sandro Mani <manisandro@gmail.com> - 3.4.0-2
- Rebuild (qcustomplot)

* Fri Oct 31 2014 Sandro Mani <manisandro@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Sun Aug 10 2014 Sandro Mani <manisandro@gmail.com> - 3.2.0-1
- Initial package
